Re: cvs commit: src/etc/gss mech

From: Kris Kennaway <kris_at_FreeBSD.org>
Date: Wed, 28 Nov 2007 11:06:25 +0100
Doug Rabson wrote:
> On Wed, 2007-11-28 at 08:52 +0000, Doug Rabson wrote:
>> On Tue, 2007-11-27 at 21:47 +0000, John Baldwin wrote:
>>> jhb         2007-11-27 21:47:56 UTC
>>>
>>>   FreeBSD src repository
>>>
>>>   Modified files:
>>>     etc/gss              mech 
>>>   Log:
>>>   Update the shlib version for libgssapi_krb5.  This file needs to be updated
>>>   anytime that library version is bumped.
>>>   
>>>   XXX: I wonder if this breaks any 6.x binaries using Kerberos5 via GSSAPI.
>> This file is new in 7.0.
> 
> By that, I mean that in 6.x, libgssapi_krb5 is called libgssapi.so.<some
> number I forget>. In 7.0, this becomes libgssapi_krb5 and applications
> link with the GSS-API plugin framework libgssapi.so.8 (or 9 if the extra
> version bump has been merged to 7.0).
> 
> Does the number really need to be bumped for 7.0? It has already
> happened at least once, when I committed the plugin framework.

Yes, it was the same version as in 6.x but incompatible because it 
referenced all kinds of new libc.so.7 symbols not present in libc.so.6.

The question is whether 6.x kerberos binaries will now run on 7.0 since 
the mech file points to an incompatible 7.0 library.

Kris
Received on Wed Nov 28 2007 - 10:06:16 UTC